package sqlite;

import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class Odczyt1 {

	public static void main(String[] args) {
		try {
			Connection c = DriverManager.getConnection("jdbc:sqlite:hr.db");
			System.out.println("Udało się połączyć. c = " + c);
			PreparedStatement stmt = c.prepareStatement("SELECT * FROM employees");
			ResultSet rs = stmt.executeQuery();
			System.out.println("Mam wyniki: " + rs);
			while(rs.next()) {
				String firstName = rs.getString("first_name");
				String lastName = rs.getString("last_name");
				BigDecimal salary = rs.getBigDecimal("salary");
				System.out.println(firstName + " " + lastName + " zarabia " + salary);
			}
			rs.close();
			stmt.close();
			c.close();
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}

}
